// InpParts.cpp : implementation file
//

#include "stdafx.h"
#include "BemRaw.h"
#include "InpParts.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CInpParts dialog


CInpParts::CInpParts(CWnd* pParent /*=NULL*/)
	: CDialog(CInpParts::IDD, pParent)
{
	//{{AFX_DATA_INIT(CInpParts)
	m_efpo = 0.0f;
	m_kd = 0.0f;
	m_nx = 0;
	m_ny = 0;
	m_rho = 0.0f;
	m_con = 0.0f;
	m_al = 0.0f;
	m_at = 0.0f;
	//}}AFX_DATA_INIT
}


void CInpParts::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CInpParts)
	DDX_Text(pDX, IDC_EFPO, m_efpo);
	DDX_Text(pDX, IDC_KD, m_kd);
	DDX_Text(pDX, IDC_NX, m_nx);
	DDX_Text(pDX, IDC_NY, m_ny);
	DDX_Text(pDX, IDC_RHO, m_rho);
	DDX_Text(pDX, IDC_CONC, m_con);
	DDX_Text(pDX, IDC_AL, m_al);
	DDX_Text(pDX, IDC_AT, m_at);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CInpParts, CDialog)
	//{{AFX_MSG_MAP(CInpParts)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CInpParts message handlers
